clang 10.0.0git

Macros | Functions
avx512vpopcntdqintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("avx512vpopcntdq"), __min_vector_width__(512)))

## Functions
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_popcnt_epi64 (__m512i __A)
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_mask_popcnt_epi64 (__m512i __W, __mmask8 __U, __m512i __A)
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_maskz_popcnt_epi64 (__mmask8 __U, __m512i __A)
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_popcnt_epi32 (__m512i __A)
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_mask_popcnt_epi32 (__m512i __W, __mmask16 __U, __m512i __A)
static __inline__ __m512i __DEFAULT_FN_ATTRS | _mm512_maskz_popcnt_epi32 (__mmask16 __U, __m512i __A)

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("avx512vpopcntdq"), __min_vector_width__(512)))

Definition at line 19 of file avx512vpopcntdqintrin.h.

Referenced by _mm512_mask_popcnt_epi32(), _mm512_mask_popcnt_epi64(), _mm512_popcnt_epi32(), and _mm512_popcnt_epi64().

## Function Documentation

## ◆ _mm512_mask_popcnt_epi32()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_mask_popcnt_epi32 | ( | __m512i | __W,
|  | __mmask16 | __U,
|  | __m512i | __A
| ) |  |
| static

Definition at line 42 of file avx512vpopcntdqintrin.h.

References __DEFAULT_FN_ATTRS, and _mm512_popcnt_epi32().

Referenced by _mm512_maskz_popcnt_epi32().

## ◆ _mm512_mask_popcnt_epi64()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_mask_popcnt_epi64 | ( | __m512i | __W,
|  | __mmask8 | __U,
|  | __m512i | __A
| ) |  |
| static

Definition at line 27 of file avx512vpopcntdqintrin.h.

References __DEFAULT_FN_ATTRS, and _mm512_popcnt_epi64().

Referenced by _mm512_maskz_popcnt_epi64().

## ◆ _mm512_maskz_popcnt_epi32()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_maskz_popcnt_epi32 | ( | __mmask16 | __U,
|  | __m512i | __A
| ) |  |
| static

Definition at line 48 of file avx512vpopcntdqintrin.h.

References _mm512_mask_popcnt_epi32(), and _mm512_setzero_si512().

## ◆ _mm512_maskz_popcnt_epi64()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_maskz_popcnt_epi64 | ( | __mmask8 | __U,
|  | __m512i | __A
| ) |  |
| static

Definition at line 33 of file avx512vpopcntdqintrin.h.

References _mm512_mask_popcnt_epi64(), and _mm512_setzero_si512().

## ◆ _mm512_popcnt_epi32()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_popcnt_epi32 | ( | __m512i | __A | ) |
| static

Definition at line 37 of file avx512vpopcntdqintrin.h.

References __DEFAULT_FN_ATTRS.

Referenced by _mm512_mask_popcnt_epi32().

## ◆ _mm512_popcnt_epi64()

static __inline__ __m512i __DEFAULT_FN_ATTRS _mm512_popcnt_epi64 | ( | __m512i | __A | ) |
| static

Definition at line 22 of file avx512vpopcntdqintrin.h.

References __DEFAULT_FN_ATTRS.

Referenced by _mm512_mask_popcnt_epi64().